Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OutStream< S, W > Class Template Reference

Generic class for classes that do both formating and physical writing of data to streams. More...

`#include <OutStreams.h>`

Inheritance diagram for OutStream< S, W >:

[legend]
Collaboration diagram for OutStream< S, W >:

[legend]
List of all members.

## Public Member Functions
| OutStream ()
| Standard constructor.
virtual void | write (const void *p, int size)
| The function writes a number of bytes into a stream.
## Protected Member Functions
virtual void | outChar (char d)
| Virtual redirection for operator<<(const char& value).
virtual void | outUChar (unsigned char d)
| Virtual redirection for operator<<(const unsigned char& value).
virtual void | outShort (short d)
| Virtual redirection for operator<<(const short& value).
virtual void | outUShort (unsigned short d)
| Virtual redirection for operator<<(const unsigned short& value).
virtual void | outInt (int d)
| Virtual redirection for operator<<(const int& value).
virtual void | outUInt (unsigned int d)
| Virtual redirection for operator<<(const unsigned& value).
virtual void | outLong (long d)
| Virtual redirection for operator<<(const long& value).
virtual void | outULong (unsigned long d)
| Virtual redirection for operator<<(const unsigned long& value).
virtual void | outFloat (float d)
| Virtual redirection for operator<<(const float& value).
virtual void | outDouble (double d)
| Virtual redirection for operator<<(const double& value).
virtual void | outString (const char *d)
| Virtual redirection for operator<<(const char* value).
virtual void | outEndL ()
| Virtual redirection for operator<<(Out& (*f)(Out&)) that writes the symbol "endl";.

## Detailed Description

### template<class S, class W>
class OutStream< S, W >

Generic class for classes that do both formating and physical writing of data to streams.

Definition at line 142 of file OutStreams.h.

## Constructor & Destructor Documentation

template<class S, class W>
OutStream< S, W >::OutStream | ( |  | ) | `[inline]`

| Standard constructor. Definition at line 146 of file OutStreams.h.

## Member Function Documentation

template<class S, class W>
virtual void OutStream< S, W >::write | ( | const void * | p,
|  | int | size
| ) | `[inline, virtual]`

  | The function writes a number of bytes into a stream. Parameters:
  p | The address the data is located at.
  size | The number of bytes to be written.
Implements Out. Definition at line 153 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outChar | ( | char | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const char& value). Implements Out. Definition at line 160 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outUChar | ( | unsigned char | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const unsigned char& value). Implements Out. Definition at line 166 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outShort | ( | short | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const short& value). Implements Out. Definition at line 172 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outUShort | ( | unsigned short | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const unsigned short& value). Implements Out. Definition at line 178 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outInt | ( | int | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const int& value). Implements Out. Definition at line 184 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outUInt | ( | unsigned int | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const unsigned& value). Implements Out. Definition at line 190 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outLong | ( | long | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const long& value). Implements Out. Definition at line 196 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outULong | ( | unsigned long | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const unsigned long& value). Implements Out. Definition at line 202 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outFloat | ( | float | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const float& value). Implements Out. Definition at line 208 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outDouble | ( | double | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const double& value). Implements Out. Definition at line 214 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outString | ( | const char * | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(const char* value). Implements Out. Definition at line 220 of file OutStreams.h.

template<class S, class W>
virtual void OutStream< S, W >::outEndL | ( |  | ) | `[inline, protected, virtual]`

| Virtual redirection for operator<<(Out& (*f)(Out&)) that writes the symbol "endl";. Implements Out. Definition at line 228 of file OutStreams.h.

The documentation for this class was generated from the following file:

- Tools/Streams/OutStreams.h